tt_message_arg_xval_set(library call)

NAME
tt_message_arg_xval_set — serialize and set data into an existing message argument

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_message_arg_xval_set(
Tt_message m,
int n,
xdrproc_t xdr_proc,
void *value);

DESCRIPTION

The tt_message_arg_xval_set function serializes and sets data into an existing message argument.

The m argument is the opaque handle for the message involved in this operation. The n argument is the number of the argument to be changed. The first argument is numbered zero. The xdr_proc argument causes tt_message_arg_xval_set to serialize the data pointed to by value and store it as a byte string value of the nth argument of the message. The value argument is the data to be serialized.

RETURN VALUE

Upon successful completion, the tt_message_arg_xval_set function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_MODE
    The specified Tt_mode is invalid.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

TT_ERR_NUM
    The integer value passed was invalid (out of range).

TT_ERR_XDR
    The XDR procedure failed on the given data, or evaluated to a zero-length expression.

SEE ALSO

Tt/tt_c.h - Tttt_c(5)